Supported Browsers for Helcim Account & Helcim.js
  • 29 Aug 2022
  • 1 Minute to read

Supported Browsers for Helcim Account & Helcim.js


Supported Browsers

The Helcim Merchant Platform is compatible with:

Customer Facing Helcim.js is compatible with:

  • All web browsers

Unsupported Browsers

The Helcim Merchant Platform is not compatible with:

  • Internet Explorer (IE)

The Helcim Merchant Platform is not compatible with Internet Explorer because the browser is no longer supported by Microsoft and is not being updated. Due to the sensitive information Helcim handles on behalf of your business and your customers, we are unable to make our full Helcim Merchant Platform compatible with IE. If your customers access Helcim.js using an IE browser, they will still be able to submit their payment information.


Was this article helpful?

What's Next